Bug 845328 - [abrt] deluge-gtk-1.3.5-1.fc16: addtorrentdialog.py:458:set_default_options:KeyError: 'download_location'
[abrt] deluge-gtk-1.3.5-1.fc16: addtorrentdialog.py:458:set_default_options:K...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:8383dcf729cb1f9e92f2beffcf4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 12:53 EDT by moromario
Modified: 2013-02-13 13:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:47:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description moromario 2012-08-02 12:53:00 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/deluge-gtk '/home/mario/.opera/temporary_downloads/Harry Turtledove - Ciclo dell Invasione.torrent'
comment:        Adding a torrent
event_log:      2012-08-02-18:52:27> Smolt profile successfully saved
executable:     /usr/bin/deluge-gtk
kernel:         3.4.6-1.fc16.i686
time:           Thu 02 Aug 2012 06:51:29 PM CEST
uid:            1000
username:       mario

backtrace:
:addtorrentdialog.py:458:set_default_options:KeyError: 'download_location'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 291, in _on_torrent_changed
:    self.update_torrent_options(model.get_value(row, 0))
:  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 361, in update_torrent_options
:    self.set_default_options()
:  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 458, in set_default_options
:    self.core_config["download_location"])
:KeyError: 'download_location'
:
:Local variables in innermost frame:
:self: <deluge.ui.gtkui.addtorrentdialog.AddTorrentDialog object at 0x92c6a6c>

smolt_data:
:
:
:General
:=================================
:UUID: f2b61bef-f417-49de-ab0b-d1d040ed019c
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 2925.77
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Celeron(R) M CPU        410  @ 1.46GHz
:CPU Stepping: 8
:CPU Family: 6
:CPU Model Num: 14
:Number of CPUs: 1
:CPU Speed: 1466
:System Memory: 2009
:System Swap: 4031
:Vendor: Hewlett-Packard
:System: HP 530 Notebook PC(GH634AA#ABZ) F.08
:Form factor: Notebook
:Kernel: 3.4.6-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10169:4156:12501) pci, None, PCI/ISA, 82801GBM (ICH7-M) LPC Interface Bridge
:(32902:10146:4156:12501) pci, i915, VIDEO, Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller
:(32902:10150:4156:12501) pci, None, VIDEO, Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller
:(32902:10192:4156:12501) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4156:12501) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4156:12501) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:9288:4156:12501) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10181:4156:12501) pci, ahci, STORAGE, 82801GBM/GHM (ICH7 Family) SATA AHCI Controller
:(5412:5136:4156:12501) pci, yenta_cardbus, PCI/CARDBUS, CB1410 Cardbus Controller
:(32902:10184:4156:12501) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10144:4156:12501) pci, agpgart-intel, HOST/PCI, Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub
:(32902:4200:4156:12501) pci, e100, ETHERNET, 82562ET/EZ/GT/GZ - PRO/100 VE (LOM) Ethernet Controller Mobile
:(32902:10207:4156:12501) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10188:4156:12501) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(5348:17169:4156:4964) pci, b43-pci-bridge, NETWORK, BCM4311 802.11b/g Wireless LAN Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_hp530-lv_root / ext4 4096 4096 7673559 5536220 5459403 1925120 1720688 1720688
:/dev/sda2 /boot ext4 1024 1024 508644 457801 432201 128016 127791 127791
:/dev/mapper/vg_hp530-lv_home /home ext4 4096 4096 20421539 1717747 694976 5120000 5091617 5091617
:
Comment 1 moromario 2012-08-05 04:28:03 EDT
Adding a torrent

Package: deluge-gtk-1.3.5-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 2 Fedora End Of Life 2013-01-16 10:40:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 13:47:52 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.